Name:		jfor
Version:	0.7.2
Release:	%mkrel 0.rc1.7
Epoch:		1
Summary:	XSL-FO to RTF converter
Group:		Development/Java
URL:		http://sourceforge.net/projects/jfor/
Source:		http://surfnet.dl.sourceforge.net/sourceforge/jfor/jfor-src-V_0_7_2rc1.tar.gz
License:	ASL 2.0
BuildRequires:	ant
BuildRequires:	avalon-logkit
BuildRequires:	java-devel
BuildRequires:	junit
BuildRequires:	javapackages-tools
BuildRequires:	liblog4j12-java
BuildRequires:	xerces-j2
BuildArch:	noarch

%description
jfor ("Java FO to Rtf converter") converts XSL-FO documents to RTF format. The project is
inactive, code has been donated to the Apache FOP project where it lives on,
see http://xmlgraphics.apache.org/fop/

%package	javadoc
Group:		Development/Java
Summary:	Javadoc for %{name}

%description javadoc
jfor ("Java FO to Rtf converter") converts XSL-FO documents to RTF format. The project is
inactive, code has been donated to the Apache FOP project where it lives on,
see http://xmlgraphics.apache.org/fop/

This package contains javadoc for %{name}.

%prep
%setup -q -n jfor

for j in $(find . -name "*.jar"); do
  mv $j $j.no
done

pushd lib
  ln -sf $(build-classpath xerces-j2) xerces-1.2.3.jar
  ln -sf $(build-classpath avalon-logkit) logkit-1.0.1.jar
popd

for file in src/org/jfor/jfor/converter/AbstractBuilder.java \
	src/org/jfor/jfor/converter/AfterBuilder.java \
	src/org/jfor/jfor/converter/BeforeBuilder.java \
	src/org/jfor/jfor/converter/Converter.java \
	src/org/jfor/jfor/converter/PageNumberCitationBuilder.java \
	src/org/jfor/jfor/converter/ParagraphBuilder.java \
	src/org/jfor/jfor/converter/TableAttributesConverter.java \
	src/org/jfor/jfor/converter/TableBuilder.java \
	src/org/jfor/jfor/converter/TableCellBuilder.java \
	src/org/jfor/jfor/converter/TableContext.java \
	src/org/jfor/jfor/converter/TableRowBuilder.java \
	src/org/jfor/jfor/converter/TextAttributesConverter.java \
	src/org/jfor/jfor/interfaces/ITableColumnsInfo.java \
	src/org/jfor/jfor/main/JForVersionInfo.java \
	src/org/jfor/jfor/rtflib/rtfdoc/BorderAttributesConverter.java \
	src/org/jfor/jfor/rtflib/rtfdoc/IRtfPageNumberCitationContainer.java \
	src/org/jfor/jfor/rtflib/rtfdoc/IRtfTableContainer.java \
	src/org/jfor/jfor/rtflib/rtfdoc/IRtfTableContainer.java \
	src/org/jfor/jfor/rtflib/rtfdoc/RtfAfterBeforeBase.java \
	src/org/jfor/jfor/rtflib/rtfdoc/RtfAttributes.java \
	src/org/jfor/jfor/rtflib/rtfdoc/RtfColorTable.java \
	src/org/jfor/jfor/rtflib/rtfdoc/RtfContainer.java \
	src/org/jfor/jfor/rtflib/rtfdoc/RtfElement.java \
	src/org/jfor/jfor/rtflib/rtfdoc/RtfExtraRowSet.java \
	src/org/jfor/jfor/rtflib/rtfdoc/RtfPageNumber.java \
	src/org/jfor/jfor/rtflib/rtfdoc/RtfPageNumberCitation.java \
	src/org/jfor/jfor/rtflib/rtfdoc/RtfParagraph.java \
	src/org/jfor/jfor/rtflib/rtfdoc/RtfSection.java \
	src/org/jfor/jfor/rtflib/rtfdoc/RtfTable.java \
	src/org/jfor/jfor/rtflib/rtfdoc/RtfTableCell.java \
	src/org/jfor/jfor/rtflib/rtfdoc/RtfTableRow.java \
	src/org/jfor/jfor/rtflib/rtfdoc/RtfText.java \
	src/org/jfor/jfor/rtflib/testdocs/ListInTable.java \
	src/org/jfor/jfor/rtflib/testdocs/MergedTableCells.java \
	src/org/jfor/jfor/rtflib/testdocs/NestedTable.java \
	src/org/jfor/jfor/rtflib/testdocs/SimpleTable.java; do \
	native2ascii -encoding UTF8 $file $file
done

%build
export CLASSPATH=$(build-classpath junit avalon-logkit log4j xerces-j2)
ant clean dist javadoc

%install
mkdir -p %{buildroot}%{_javadir}

install -pm 644 dist/lib/jfor.jar \
  %{buildroot}%{_javadir}/jfor-%{version}.jar

(
  cd %{buildroot}%{_javadir}
  for jar in *-%{version}*; do 
    ln -sf ${jar} ${jar/-%{version}/}
  done
)

mkdir -p %{buildroot}%{_javadocdir}/jfor-%{version}
cp -pr build/docs/api/* %{buildroot}%{_javadocdir}/jfor-%{version}
ln -sf jfor-%{version} %{buildroot}%{_javadocdir}/jfor

%files
%{_javadir}/jfor-%{version}.jar
%{_javadir}/jfor.jar
%doc legal

%files javadoc
%{_javadocdir}/jfor-%{version}
%{_javadocdir}/jfor


%changelog
* Mon Feb 29 2016 daviddavid <daviddavid> 1:0.7.2-0.rc1.7.mga6
+ Revision: 980714
- rebuild with fixed deps on liblog4j12-java

* Mon Feb 08 2016 umeabot <umeabot> 1:0.7.2-0.rc1.6.mga6
+ Revision: 946386
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1:0.7.2-0.rc1.5.mga5
+ Revision: 747644
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:0.7.2-0.rc1.4.mga5
+ Revision: 680793
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1:0.7.2-0.rc1.3.mga4
+ Revision: 521036
- Mageia 4 Mass Rebuild

* Tue Jan 15 2013 sander85 <sander85> 1:0.7.2-0.rc1.2.mga3
+ Revision: 388410
- Fix files encoding

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jul 27 2011 dmorgan <dmorgan> 1:0.7.2-0.rc1.1.mga2
+ Revision: 129985
- Fix groups
- Add epoch because of version fix
- Fix version
- Fix version
- Fix version

* Fri Jun 10 2011 gil <gil> 0_7_2rc1-0.mga2
+ Revision: 102865
- imported package jfor


* Sat May 28 2011 gil <gil> 1.4.0-0.mga1
- initial rpm